<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Device :: U.S. Robotics Wireless MAXg Bridge</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5432.js"></script>
	<script type="text/javascript" src="common.js"></script>
</head>

<body onbeforeunload="verifyDeparture();">

<script type="text/javascript">
	writeHeader();
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>
	
	<h1>Reboot</h1>
	<p>Use this in the unlikely event that the bridge needs to be restarted.
	</p>

	<h1>Upgrade</h1>
	<p>U.S.&nbsp;Robotics may occasionally release new firmware for this bridge.
	You can download those updates and install them on the bridge.
	The <strong>Check for Update</strong> button downloads a small text file
	from the U.S.&nbsp;Robotics Web site and compares the latest version with
	the bridge&rsquo;s current version to see if there&rsquo;s an update available.
	</p>

	<h1>Back up</h1>
	<p>You can back up your bridge&rsquo;s settings. This can be useful in case you
	need to restore the bridge to its factory default settings or want to save a
	known working state before you make new changes to the bridge.
	</p>

	<h1>Restore</h1>
	<p>You can restore the settings that you saved earlier. This lets you configure
	the bridge to a known state.
	</p>

	<h1>Factory Settings</h1>
	<p>You can reset the bridge to the state it was in when you first purchased it.
	You may need to do this if you wish to start configuring your bridge from the beginning,
	as if it had just come out of the box.
	</p>

</div>

<h3>Reboot Bridge</h3>

<p>Click Reboot if you need to restart the bridge. Its current settings will be retained.</p>

<form action="apply.cgi" method="post">
<input type="hidden" name="page" value="device.asp">

	<input type="submit" name="action" value="Reboot" class="clsBtnFeature">
</form>


<h3>Upgrade Bridge</h3>

<form  action="check_fw.cgi" method="post">
<input type="hidden" name="page" value="device.asp">
 
<table class="clsGroupBox">
	<tr>
		<td><input type="submit" name="action" value="Check for Update" class="clsBtnFeature"></td>
		<td><p>Press the <strong>Check for Update</strong> button to
		automatically check for an update to this bridge&rsquo;s firmware.</p></td>
	</tr>
</table>
</form>

<form  action="upgrade.cgi" enctype="multipart/form-data" method="post">
<input type="hidden" name="page" value="device.asp">

<p>The current version is <span class="clsStatic"><% nvram_get("os_version"); %> (<% nvram_get("os_date"); %>)</span>.</p>
 
<p>1. Check the <a href="http://www.usr.com/support/" target="_new">U.S.&nbsp;Robotics Web site</a>
for an update.</p>
<p>2. If a new version is available, save the new firmware image on your computer.</p>
<p>3. Press <strong>Browse</strong> and select the new firmware file you saved on your computer.</p>
<p><label for="file">File:</label> <input type="file" id="file" name="file" value="Browse" class="clsButton"></span></p>
<form>
<p>4. Press <strong>Upgrade</strong> to install the new firmware.</p>
<p><input type="submit" name="btnFirmwareUpgrade" value="Upgrade" class="BtnFeature"></p>
</form>

<h3>Back Up Settings</h3>
<p>This saves the bridge&rsquo;s current settings in a file on your computer
so that you can restore them later.</p>
<form action="backup.cgi" method="link">
<input type="hidden" name="page" value="device.asp">
<input type="submit" name="btnBackup" value="Back Up" class="BtnFeature">
</form>

<h3>Restore Settings</h3>
<p>This loads new settings for the bridge from a file on your computer.
Please note that the current settings will be lost.</p>
<p>1. Press <strong>Browse</strong> to select a settings file you saved to your computer earlier.</p>
<form method="post" action="restore.cgi" enctype="multipart/form-data">
<p><label for="file">File:</label> <input type="file" id="file" name="nvfile" value="Browse" class="clsButton"></span></p>
	<input type="hidden" name="page" value="device.asp">
<p>2. Press <strong>Restore</strong> to load the settings file into the bridge.</p>
	<p><input type="submit" name="action" value="Restore" class="BtnFeature"></p>
</form>

<h3>Factory Settings</h3>

<p>This resets the bridge to its original factory settings.
Please note that the current settings will be lost.</p>

<form action="apply.cgi" method="post">
<input type="hidden" name="page" value="device.asp">

<p><input type="submit" name="action" value="Reload" class="BtnFeature" onclick="if (!reloadDevice()) return false;">
</p>
</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>
