<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Setup :: U.S. Robotics Wireless MAXg Bridge</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5432.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
function isUS()
{
   /*
      Change to return false if non-US.
   */
   var ix = "<% nvram_get("wl_country_code"); %>";
     
	if(ix != "US") 
		return false;
	else 
	      return true;
}

var bSecure = true;

var sites = new Array(<% wl_scan(); %>);

var strSiteSelected = "";

function validatePage()
{
	var security = document.getElementById("chkSecure");
	
	if (security == null)
		;
	else if (security.checked)
	{
		var ixSecurity = document.idForm.cbSecurity.selectedIndex;
		if (ixSecurity == 0)
			document.idForm.cbAuthEncrypt.value = "open";
		else if (ixSecurity == 1)
			document.idForm.cbAuthEncrypt.value = "shared";
	}
	
	return true;
}

//-->
</script>
</head>

<body onload="buildSiteSurveyTable(sites, 1); initializeSurveyPage(strSiteSelected, 1, bSecure); onSecurityChange(false);">

<script type="text/javascript">
	writeHeaderSetup(2, 3);
</script>


<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Network</h1>
   <p>Select the peer-to-peer wireless network you want to connect to.
   </p>

	<p>If your network isn&rsquo;t in the list, you might be configuring the first client.
	In that case, clear the	<b>My wireless network is in the list</b> 
	check box and enter its network name and channel in the fields below.
	</p>

	<p>If it&rsquo;s not in the list because it&rsquo;s too far away, you
	may need to move closer to it in order to establish a connection.
	</p>

	<p>The network name is sometimes called the SSID.</p>

	<p>If the other client wasn&rsquo;t detected because it was turned off,
	you can turn it on and press the <b>Scan</b> button to try and detect it again.
   </p>

</div>


<form name="idForm" action="setup_login.asp" method="post">
<input type="hidden" name="page" value="setup_adhoc.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_mode" value="adhoc">
<input type="hidden" name="cbAuthEncrypt" value="none">
<input type="hidden" name="cbEncryption" value="none">
<input type="hidden" name="wl_key" value="1">

<h3>Network</h3>

<div id="idNoAPs" class="clsNotice">
	The U.S. Robotics Wireless <i>MAX</i>g Bridge was unable to detect
	any wireless client.
	Please ensure that the other wireless client is configured
	properly and powered on and press the <b>Scan</b> button to try again.
	If you configure the first client, clear the <b>My wireless network is in the list</b> 
	check box and enter its network name and channel in the fields below.
</div>

<p id="idFoundAPs">Please select a wireless network (another client) from the list of
detected networks or enter its information manually.
</p>

<p><input type="checkbox" name="chkInList" id="chkInList" checked onclick="arrangeSiteSurvey(bSecure);"> <label for="chkInList">My wireless network is in the list</label></p>

<p id="idSiteSurvey">Select a wireless network from the list of detected networks.</p>

<div id="idBroadcast">
	<div id="idSurvey">
		<!-- Filled by script -->
	</div>
	<p><input type="button" name="action" value="Scan" class="clsSmall" onclick="document.location.href='setup_adhoc.asp';"></p>
</div>

<p id="idMan">Enter the network name and channel of the wireless network.</p>
<div id="idNotBroadcast">
	<table>
		<tr>
			<td><label for="wl_ssid">Network name:</label></td>
			<td><input type="text" size="32" maxlength="32" id="wl_ssid" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false; bDirty = true;"></td>
		</tr>
		<tr>
			<td><label>Channel:</label></td>
			<td><select id="cbChannel" name="wl_channel" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl_channel", "1", "selected"); %>>1</option>
				<option value="2" <% nvram_match("wl_channel", "2", "selected"); %>>2</option>
				<option value="3" <% nvram_match("wl_channel", "3", "selected"); %>>3</option>
				<option value="4" <% nvram_match("wl_channel", "4", "selected"); %>>4</option>
				<option value="5" <% nvram_match("wl_channel", "5", "selected"); %>>5</option>
				<option value="6" <% nvram_match("wl_channel", "6", "selected"); %>>6</option>
				<option value="7" <% nvram_match("wl_channel", "7", "selected"); %>>7</option>
				<option value="8" <% nvram_match("wl_channel", "8", "selected"); %>>8</option>
				<option value="9" <% nvram_match("wl_channel", "9", "selected"); %>>9</option>
				<option value="10" <% nvram_match("wl_channel", "10", "selected"); %>>10</option>
				<option value="11" <% nvram_match("wl_channel", "11", "selected"); %>>11</option>
			    </select>
	<script type="text/javascript">
   	/*      If this isn't US-based, allow channels 12 and 13.   */
   		if (!isUS())
   		{
      			document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("12", "12");
      			document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("13", "13");
      			document.idForm.cbChannel.selectedIndex = "<% nvram_get("wl_channel"); %>";
   		}
	</script>
			</td>
		</tr>
	</table>
</div>


<h3>Security</h3>

<div id="idInsecure" style="display: none;">
	<p>The selected wireless network is insecure so you don&rsquo;t need to
	enter any security information.</p>
</div>
<div id="idSecure" style="display: none;">
	<p>The selected wireless network is secure so you need to enter its
	security information in order to connect to it.</p>
</div>
<div id="idManual" style="display: none;">
	<p>The bridge cannot detect whether this wireless network is secure, so you
	must enter any security information yourself in order to connect to it.</p>

	<p><input type="checkbox" name="chkSecure" id="chkSecure" checked onclick="bDirty = true; setVisibilityByCheckbox('chkSecure', 'idSecurity');"> <label for="chkSecure">I am connecting to a secure wireless network</label></p>
</div>
<div id="idSecurity">
<table border="0">
	<tr>
		<td><label for="cbSecurity">Method:</label></td>
		<td><select id="cbSecurity" name="cbSecurity" onchange="onSecurityChange(false); bDirty = true;">
    			<option value="open" <% nvram_match("cbAuthEncrypt", "open", "selected"); %>>WEP open</option>
			<option value="shared" <% nvram_match("cbAuthEncrypt", "shared", "selected"); %>>WEP shared</option>
		    </select>
		</td>
	</tr>

	<!-- WEP -->
	<tr id="idKey1">
		<td><label for="wl_key1">Key:</label></td>
		<td><input type="text" size="40" maxlength="58" id="wl_key1" class="clsTextfield" name="wl_key1" value="<% nvram_get("wl_key1"); %>" onchange="if (!isPrintable('Key', document.idForm.wl_key1.value)) return false; bDirty = true;">
	</tr>
</table>
</div>


<p class="clsSave">When you&rsquo;re finished and are ready to go to the next step, press <b>Next</b>.</p>
<p><input type="submit" name="action" value="Next -->" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false;
if (!isPrintable('Key', document.idForm.wl_key1.value)) return false; checksettings(); if (!validatePage()) return false;"></p>

</form>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>
