<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2005, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>How to Connect the Bridge :: U.S. Robotics Wireless MAXg Bridge</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5432.js"></script>
	<script type="text/javascript" src="common.js"></script>
</head>

<body>

<script type="text/javascript">
	writeHeader("Tutorial");
</script>

<h2>How do I connect the bridge to a network-ready device?</h2>

<p class="clsNote"><a href="javascript:print();">Print this page</a></p>


<div id="idPanelHelp">

	<h1>MAC Address Filtering</h1>

	<p>If your wireless router (or access point) uses &ldquo;MAC address filtering&rdquo;,
	be sure to add the wireless MAC address (WLAN) of the bridge.</p>
</div>


<p>After you finish configuring your U.S. Robotics Wireless <i>MAX</i>g Bridge,
you can now connect it to your computer (or other network-ready device,
such as a personal video recorder like TiVo).
</p>

<ol>
	<li>Finish configuring the bridge for the appropriate type of
	connection&mdash;either connecting to the Internet via a wireless router (or access point),
	or connecting to another wireless network, or connecting directly to another network-ready device.</li>

	<li>Unplug the bridge&rsquo;s power cord.</li>
	<li>Disconnect the bridge&rsquo;s network cable from the router.</li>
	<li>Connect the bridge&rsquo;s network cable to the network-ready device you want to use it.</li>
	<li>Power on the network-ready device.</li>
	<li>Plug in the bridge&rsquo;s power cord.</li>
	<li>Configure the network-ready device to use the bridge.
	(Please consult the device&rsquo;s documentation for instructions.)</li>
</ol>


<h3>Troubleshooting</h3>

<h4>Connecting to the Internet</h4>

<p>If the bridge cannot connect to the wireless network, the wrong
encryption method may be selected or the key may be entered incorrectly.
If you&rsquo;re connecting to a wireless router (or access point),
double-check its settings to ensure you&rsquo;ve entered the settings correctly
on the bridge.
Make sure your bridge has &ldquo;Infrastructure&rdquo; selected as the network type.
</p>

<p>You should also make certain that the bridge and the
wireless router (or access point) are positioned so that their transmissions
can reach each other.</p>

<h4>Connecting to Another Wireless Network</h4>

<p>If the bridge cannot connect to another wireless network, the wrong
encryption method may be selected, the wrong channel may be selected, the MAC address or the key may be entered incorrectly.
If you&rsquo;re connecting to a wireless router (or access point),
double-check its settings to ensure you&rsquo;ve entered the settings correctly
on the bridge and verify that the wireless router (or access point) supports WDS (Wireless Distribution System).
Make sure your bridge has &ldquo;Bridge&rdquo; selected as the network type.
</p>

<h4>Connecting to Another Wireless Adapter</h4>

<p>If the bridge cannot connect to another wireless adapter, the wrong
encryption method may be selected, the wrong channel may be selected or the key may be entered incorrectly.
If you&rsquo;re connecting to a wireless adapter,
double-check its settings to ensure you&rsquo;ve entered the settings correctly
on the bridge.
Make sure your bridges have &ldquo;Ad hoc&rdquo; selected as the network type.
</p>

<p class="clsNote"><a href="status.asp">Back to the Status page</a></p>

<script type="text/javascript">
	writeCopyright();
</script>

</body>
</html>
